const SourceService = require("../service/source-service")
const ApiResult = require("../config/api")
const ParamsService = require("../service/params-service")
const ParamsDictService = require("../service/params-dict-service")
const TrackService = require("../service/track-service")
const HoverService = require("../service/hover-service")
const ShipFilterControl = {
  getConfig: async (req, res) => {
    try {
      const sourceData = await SourceService.list({orderByColumn: 'sort', isAsc: false})
      for (const source of sourceData) {
        const trackData = await TrackService.queryBy({sourceId: source.id})
        source.track = trackData?.[0] || {}
        const hoverData = await HoverService.list({sourceId: source.id})
        source.hover = hoverData || []
        const paramsData = await ParamsService.list({sourceId: source.id})
        for (const params of paramsData) {
          const dictData = await ParamsDictService.list({paramsId: params.id})
          params.dict = dictData
        }
        source.params = paramsData
      }
      res.send(new ApiResult().success(sourceData))
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
}
module.exports = ShipFilterControl